plugins {
    id 'com.android.library'
    id 'kotlin-android'
}

android {

    compileSdkVersion COMPILE_SDK_VERSION
    buildToolsVersion BUILD_TOOLS_VERSION

    defaultConfig {
        minSdkVersion MIN_SDK_VERSION
        targetSdkVersion TARGET_SDK_VERSION

        externalNativeBuild {
            cmake {
                cppFlags '-std=c++11 -frtti -fexceptions -lz'
                abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
            }
        }

        ndk {
            // 设置支持的SO库架构
            abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
        }
    }


    buildTypes {
        release {
            minifyEnabled MINIFY_ENABLE
            proguardFiles 'proguard-rules.pro'
        }
    }

    buildFeatures {
        buildConfig = false
    }

    lintOptions {
        abortOnError false
    }

    repositories {
        flatDir {
            dirs '../libs'
        }
    }

    dexOptions {
        preDexLibraries = false
    }


//    sourceSets {
//        main {
//            // let gradle pack the shared library into apk
//            jniLibs.srcDirs = ['../soLibs']
//        }
//    }
    compileOptions {
        kotlinOptions.freeCompilerArgs += ['-module-name', "cn.yyxx.eyuangame.core"]
    }

    externalNativeBuild {
        cmake {
            path "CMakeLists.txt"
        }
    }

    ndkVersion NDK_VERSION
}

dependencies {
    implementation "org.jetbrains.kotlin:kotlin-stdlib:$KOTLIN_VERSION"
    implementation 'org.jetbrains.kotlinx:kotlinx-coroutines-android:1.4.1'

    //mmkv
    implementation 'com.tencent:mmkv-static:1.2.10'

    //日志采集框架
    implementation 'io.github.suyghur.dolin:zap:1.0.0'

    implementation 'androidx.core:core-ktx:1.6.0'
    implementation 'androidx.fragment:fragment-ktx:1.3.5'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'com.google.android.material:material:1.4.0'
    implementation 'com.android.installreferrer:installreferrer:2.2'

    //google
    implementation 'com.google.android.play:core:1.10.0'
    implementation 'com.google.android.gms:play-services-auth:19.0.0'
    //4.0.0的billing库消耗商品会回调两次，后续在排查，先用3.0.3
    implementation "com.android.billingclient:billing-ktx:3.0.3"
    implementation 'com.google.firebase:firebase-analytics-ktx:19.0.0'
    implementation 'com.google.firebase:firebase-crashlytics-ktx:18.1.0'
    implementation 'com.google.firebase:firebase-crashlytics-ndk:18.1.0'

    //facebook
    implementation 'com.facebook.android:facebook-login:9.0.0'
    implementation 'com.facebook.android:facebook-android-sdk:8.2.0'

    //adjust
    implementation 'com.adjust.sdk:adjust-android:4.28.2'

    if (PUBLISH_ENABLE) {
        api files('../libs/eyuangamesdk_base_1.0.0.jar')
    } else {
        api project(':library_base')
    }

}

apply from: 'publish.gradle'
